---
title: Notification.close()
slug: Web/API/Notification/close
tags:
  - API
  - Method
  - Notification
  - Notifications
  - Notifications API
  - Reference
  - close
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p>The <code>close()</code> method of the {{domxref("Notification")}} interface is used to close/remove a previously displayed notification.</p>

<div class="note">
<p><strong>Note:</strong> This API shouldn't be used just to have the notification removed from the screen after a fixed delay since this method will also remove the notification from any notification tray, preventing users from interacting with it after it was initially shown. A valid use for this API would be to remove a notification that is no longer relevant (e.g. the user already read the notification on the webpage in the case of a messaging app or the following song is already playing in a music app).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Notification.close();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Examples">Examples</h2>

<p>In the following snippet, we have a simple function that when called creates an <code>options</code> object and then a new notification. At the end of the function, it also calls <code>close()</code> inside a {{domxref("EventTarget.addEventListener","addEventListener()")}} function to remove the notification when the relevant content has been read on the webpage.</p>

<pre class="brush:js notranslate">function spawnNotification(theBody, theIcon, theTitle) {
  var options = {
    body: theBody,
    icon: theIcon
  };

  var n = new Notification(theTitle,options);
  document.addEventListener('visibilitychange', function() {
    if (document.visibilityState === 'visible') {
      // The tab has become visible so clear the now-stale Notification.
      n.close();
    }
  });
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.close")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
</ul>
